# cc_string_t Overview

## Detailed Description

The cc_string_t represents a C string returned by the API. It has a pointer to the string data and a release() function. This type is used for both principal names and ccache names returned by the API. Principal names may contain UTF-8 encoded strings for internationalization purposes.

For API function documentation see cc_string_f.

## Data Structures

- struct cc_string_d

## Typedefs

- typedef cc_string_f cc_string_f
- typedef cc_string_d cc_string_d
- typedef cc_string_d * cc_string_t

## Typedef Documentation

typedef struct cc_string_f cc_string_f

typedef struct cc_string_d cc_string_d

typedef cc_string_d* cc_string_t